From 2bf93eb30b7896aa0a5db28d083cbd0f56cca69b Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 21 2016 20:03:25 +0000
Subject: [PATCH 403/1001] Let's pass the entire widget object instead of just the id


---

diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index a842baf..49ca5b2 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -50,7 +50,7 @@ def AGPLv3(name):
                 'widget_render', hub=widget.hub.name, idx=widget.idx)
             result['edit_url'] = flask.url_for(
                 'widget_edit_get', hub=widget.hub.name, idx=widget.idx)
-            result['widget_idx'] = widget.idx
+            result['widget'] = widget
             return result
 
         return inner
